define(function() {
  var Random = function(seed) {
    this.seed = seed || 85732;
  }

  Random.prototype.next = function(min, max) {
    min = min || 0;
    max = max || 1;

    this.seed = (this.seed * 9301 + 49297) % 233280;
    var rnd = this.seed / 233280;

    return min + rnd * (max - min);
  };

  return Random;
})